Skip to main content
POST
/
v1
/
benchmarks
/
{id}
/
unarchive
Unarchive a Benchmark.
curl --request POST \
  --url https://api.runloop.ai/v1/benchmarks/{id}/unarchive \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "scenarioIds": [
    "<string>"
  ],
  "metadata": {},
  "status": "active",
  "required_environment_variables": [
    "<string>"
  ],
  "required_secret_names": [
    "<string>"
  ],
  "is_public": true,
  "attribution": "<string>",
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the Benchmark to unarchive.

Response

OK

A BenchmarkDefinitionView represents a grouped set of Scenarios that together form a Benchmark.

id
string
required

The ID of the Benchmark.

name
string
required

The name of the Benchmark.

scenarioIds
string[]
required

List of Scenario IDs that make up the benchmark.

metadata
object
required

User defined metadata to attach to the benchmark for organization.

status
enum<string>
required

Whether the benchmark is active or archived. Archived benchmarks are excluded from listings and cannot be run.

Available options:
active,
archived
required_environment_variables
string[]

Required environment variables used to run the benchmark. If any required environment variables are missing, the benchmark will fail to start.

required_secret_names
string[]

Required secrets used to run the benchmark. If any required secrets are missing, the benchmark will fail to start.

is_public
boolean

Whether this benchmark is public.

attribution
string

Attribution information for the benchmark.

description
string

Detailed description of the benchmark.